org.apache.jmeter.extractor

## Class DebugPostProcessor

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.extractor.DebugPostProcessor

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PostProcessor, TestBean, TestElement

    public class DebugPostProcessor
    extends AbstractTestElement
    implements PostProcessor, TestBean

Debugging Post-Processor: creates a subSample containing the variables defined in the previous sampler.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`DebugPostProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDisplayJMeterProperties()`
`boolean` `isDisplayJMeterVariables()`
`boolean` `isDisplaySamplerProperties()`
`boolean` `isDisplaySystemProperties()`
`void` `process()` Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
`void` `setDisplayJMeterProperties(boolean displayJMeterProperties)`
`void` `setDisplayJMeterVariables(boolean displayJMeterVariables)`
`void` `setDisplaySamplerProperties(boolean displaySamplerProperties)`
`void` `setDisplaySystemProperties(boolean displaySystemProperties)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### DebugPostProcessor

    public DebugPostProcessor()

### Method Detail

#### process

    public void process()

Description copied from interface: `PostProcessor`
Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

Specified by:
  `process` in interface `PostProcessor`

#### isDisplayJMeterVariables

    public boolean isDisplayJMeterVariables()

#### setDisplayJMeterVariables

    public void setDisplayJMeterVariables(boolean displayJMeterVariables)

#### isDisplayJMeterProperties

    public boolean isDisplayJMeterProperties()

#### setDisplayJMeterProperties

    public void setDisplayJMeterProperties(boolean displayJMeterProperties)

#### isDisplaySamplerProperties

    public boolean isDisplaySamplerProperties()

#### setDisplaySamplerProperties

    public void setDisplaySamplerProperties(boolean displaySamplerProperties)

#### isDisplaySystemProperties

    public boolean isDisplaySystemProperties()

#### setDisplaySystemProperties

    public void setDisplaySystemProperties(boolean displaySystemProperties)